Skip to main content

Akoya
Documentation

Balances

GET

https://sandbox-products.ddp.akoya.com/balances/{version}/{providerId}

Account information that includes balances and rates of bank accounts, credit cards, loans, investments, and more.

To view the response schema, select the 200 response. Then pick an option for annuity, deposit, insurance, investment, loan, and line of credit account types.

For an example payload response, see the 200 example response under the Try it feature. The example is from a deposit account but this endpoint supports all account types.

Use the mode query param to receive FDX-aligned, standardized data values. For example:

https://sandbox-products.ddp.akoya.com/balances/v3/mikomo?mode=standard


Path Parameters

  1. version*

    stringdefault: v3

    Akoya major version number. Do not use minor version numbers. For instance, use v3 and not v3.1

  2. providerId*

    stringdefault: mikomo

    Id of provider

Headers

  1. x-akoya-interaction-type*

    Allowed values are `USER` or `BATCH`. `USER` indicates a request is prompted by an end-user action. `BATCH` indicates the request is part of a batch process.

  2. x-akoya-last-access*

    The date and time stamp for the last active use by the user. Follow the ISO8601 date format in the UTC time zone. For example: `2025-11-24T00:00:00Z`

  3. x-akoya-intent-type*

    Acceptable values are `payments` or `nonpayments.`

Query Parameters

  1. mode

    Default is raw. Use standard for FDX-aligned, standardized data values.

  2. accountIds

    string

    Comma-separated list of accountIds


Responses

  1. 200

    OK

    Response Body

    object

      accounts

      array of objects

      An array of accounts with entity types dependent on the account type (deposit, investment, loan, line of credit, annuity or insurance)

      Any of:

          depositAccount

              balanceAsOf

              string

              As-of date of balances

              openingDayBalance

              number

              Day's opening fund balance

              availableBalance

              number

              Balance of funds available for use

              interestYtd

              number

              YTD Interest

              currentBalance

              number

              Balance of funds in account

          loanAccount

              balanceAsOf

              string

              As-of date of balances

              escrowBalance

              number

              Escrow balance of loan

              interestPaidYearToDate

              number

              Interest paid year to date

              lastPaymentAmount

              number

              Last payment amount

              lastPaymentDate

              string

              Last payment date

              nextPaymentAmount

              number

              Amount of next payment

              nextPaymentDate

              string

              Date of next payment

              originalPrincipal

              number

              Original principal of loan

              payOffAmount

              number

              Payoff amount

              principalBalance

              number

              Principal balance of loan

          locAccount

              balanceAsOf

              string

              As-of date of balances

              advancesApr

              number

              Advances APR

              availableCash

              number

              Available cash

              availableCredit

              number

              Available credit

              cashAdvanceLimit

              number

              Cash advance limit

              creditLine

              number

              Credit limit

              currentBalance

              number

              Current balance LOC

              currentRewardsBalance

              number

              Current rewards balance

              financeCharges

              number

              Finance charges

              lastPaymentAmount

              number

              Last payment amount

              lastPaymentDate

              string

              Last payment date

              lastStmtBalance

              number

              Last Statement Balance

              lastStmtDate

              string

              Last Statement Date

              minimumPaymentAmount

              number

              Minimum payment amount

              nextPaymentAmount

              number

              Amount of next payment

              nextPaymentDate

              string

              Due date of next payment

              pastDueAmount

              number

              Past Due Amount

              pointsAccrued

              number

              Points accrued

              principalBalance

              number

              Principal balance

              pointsRedeemed

              number

              Points redeemed

              purchasesApr

              number

              Purchases APR

          investmentAccount

              availableCashBalance

              number

              Cash balance across all sub-accounts. Should include sweep funds.

              balanceAsOf

              string

              As-of date of balances

              balanceList

              array of objects

              Balance List. Name value pair aggregate.

                object

                  balanceName

                  string

                  Name of the balance.

                  balanceDescription

                  string

                  Description of balance.

                  balanceType

                  string

                  The type of an investment balance. AMOUNT or PERCENTAGE.

                  AMOUNTPERCENTAGE

                  balanceValue

                  number

                  Value of balance name.

                  balanceDate

                  string

                  Date as of this balance.

                  currency

                    object

                      currencyCode

                      string

                      Iso 4217 currency code.

                      currencyRate

                      number

                      Currency rate between original and converted currency.

                      originalCurrencyCode

                      string

                      Iso 4217 currency code.

              currentValue

              number

              Total current value of all investments

              dailyChange

              number

              Daily change

              marginBalance

              number

              Margin balance

              percentageChange

              number

              Percentage change

              rolloverAmount

              number

              Rollover amount

              shortBalance

              number

              Short balance

          insuranceAccount

              policyCoverageAmount

              number

              Total amount of money the user is insured for.

              policyEndDate

              string

              The premium end date.

              policyPremium

              number

              The amount of the user's premium.

              policyPremiumTerm

              string

              he payment term for the premium. MONTHLY or ANNUAL.

              MONTHLYANNUAL

              policyStartDate

              string

              The premium start date.

          annuityAccount

              annualIncrease

              number

              Percent or dollar amount of annual payment increase

              annualIncreaseType

              string

              FIXEDPERCENTDOLLAR

              netPresentValue

              number

              Surrender or cash balance value

              paymentAmount

              number

              Amount of the recurring payment

              paymentEndDate

              string

              Date last payment will be made

              paymentStartDate

              string

              Date of first payment; could be a future date

              periodCertainGuarantee

              string

              NO PERIOD CERTAIN5-YEAR10-YEAR20-YEAR30-YEAR

              totalPaymentCount

              number

              Total number of payments that will be produced by the annuity

  2. 206

    Partial Content. Success searching for accounts. Some errors are being returned.

    Response Body

    object

      accounts

      array of objects

      An array of accounts with entity types dependent on the account type (deposit, investment, loan, line of credit, annuity or insurance)

      Any of:

          depositAccount

              balanceAsOf

              string

              As-of date of balances

              openingDayBalance

              number

              Day's opening fund balance

              availableBalance

              number

              Balance of funds available for use

              interestYtd

              number

              YTD Interest

              currentBalance

              number

              Balance of funds in account

          loanAccount

              balanceAsOf

              string

              As-of date of balances

              escrowBalance

              number

              Escrow balance of loan

              interestPaidYearToDate

              number

              Interest paid year to date

              lastPaymentAmount

              number

              Last payment amount

              lastPaymentDate

              string

              Last payment date

              nextPaymentAmount

              number

              Amount of next payment

              nextPaymentDate

              string

              Date of next payment

              originalPrincipal

              number

              Original principal of loan

              payOffAmount

              number

              Payoff amount

              principalBalance

              number

              Principal balance of loan

          locAccount

              balanceAsOf

              string

              As-of date of balances

              advancesApr

              number

              Advances APR

              availableCash

              number

              Available cash

              availableCredit

              number

              Available credit

              cashAdvanceLimit

              number

              Cash advance limit

              creditLine

              number

              Credit limit

              currentBalance

              number

              Current balance LOC

              currentRewardsBalance

              number

              Current rewards balance

              financeCharges

              number

              Finance charges

              lastPaymentAmount

              number

              Last payment amount

              lastPaymentDate

              string

              Last payment date

              lastStmtBalance

              number

              Last Statement Balance

              lastStmtDate

              string

              Last Statement Date

              minimumPaymentAmount

              number

              Minimum payment amount

              nextPaymentAmount

              number

              Amount of next payment

              nextPaymentDate

              string

              Due date of next payment

              pastDueAmount

              number

              Past Due Amount

              pointsAccrued

              number

              Points accrued

              principalBalance

              number

              Principal balance

              pointsRedeemed

              number

              Points redeemed

              purchasesApr

              number

              Purchases APR

          investmentAccount

              availableCashBalance

              number

              Cash balance across all sub-accounts. Should include sweep funds.

              balanceAsOf

              string

              As-of date of balances

              balanceList

              array of objects

              Balance List. Name value pair aggregate.

                object

                  balanceName

                  string

                  Name of the balance.

                  balanceDescription

                  string

                  Description of balance.

                  balanceType

                  string

                  The type of an investment balance. AMOUNT or PERCENTAGE.

                  AMOUNTPERCENTAGE

                  balanceValue

                  number

                  Value of balance name.

                  balanceDate

                  string

                  Date as of this balance.

                  currency

                    object

                      currencyCode

                      string

                      Iso 4217 currency code.

                      currencyRate

                      number

                      Currency rate between original and converted currency.

                      originalCurrencyCode

                      string

                      Iso 4217 currency code.

              currentValue

              number

              Total current value of all investments

              dailyChange

              number

              Daily change

              marginBalance

              number

              Margin balance

              percentageChange

              number

              Percentage change

              rolloverAmount

              number

              Rollover amount

              shortBalance

              number

              Short balance

          insuranceAccount

              policyCoverageAmount

              number

              Total amount of money the user is insured for.

              policyEndDate

              string

              The premium end date.

              policyPremium

              number

              The amount of the user's premium.

              policyPremiumTerm

              string

              he payment term for the premium. MONTHLY or ANNUAL.

              MONTHLYANNUAL

              policyStartDate

              string

              The premium start date.

          annuityAccount

              annualIncrease

              number

              Percent or dollar amount of annual payment increase

              annualIncreaseType

              string

              FIXEDPERCENTDOLLAR

              netPresentValue

              number

              Surrender or cash balance value

              paymentAmount

              number

              Amount of the recurring payment

              paymentEndDate

              string

              Date last payment will be made

              paymentStartDate

              string

              Date of first payment; could be a future date

              periodCertainGuarantee

              string

              NO PERIOD CERTAIN5-YEAR10-YEAR20-YEAR30-YEAR

              totalPaymentCount

              number

              Total number of payments that will be produced by the annuity

  3. 400

    Invalid Input

    Response Body

    object

      code

      integer

      Error code defined by FDX API Specification or Data Provider indicating the error situation which has occurred

      message

      string

      End user displayable information which might help the customer diagnose an error

      debugMessage

      string

      Message used to debug the root cause of the error. Contents should not be used in consumer's business logic. Can change at any time and should only be used for consumer to communicate with the data provider about an issue. Provider can include an error GUID in message for their use.

  4. 401

    Customer not authorized.

    Response Body

    object

      code

      integer

      Error code defined by FDX API Specification or Data Provider indicating the error situation which has occurred

      message

      string

      End user displayable information which might help the customer diagnose an error

      debugMessage

      string

      Message used to debug the root cause of the error. Contents should not be used in consumer's business logic. Can change at any time and should only be used for consumer to communicate with the data provider about an issue. Provider can include an error GUID in message for their use.

  5. 404

    701 - Tax Lots not found. The `holdingId` may be wrong.

    Response Body

    object

      code

      integer

      Error code defined by FDX API Specification or Data Provider indicating the error situation which has occurred

      message

      string

      End user displayable information which might help the customer diagnose an error

      debugMessage

      string

      Message used to debug the root cause of the error. Contents should not be used in consumer's business logic. Can change at any time and should only be used for consumer to communicate with the data provider about an issue. Provider can include an error GUID in message for their use.

  6. 405

    Method Not Allowed

    Response

    string

  7. 406

    Content Type not Supported

    Response Body

    object

      code

      integer

      Error code defined by FDX API Specification or Data Provider indicating the error situation which has occurred

      message

      string

      End user displayable information which might help the customer diagnose an error

      debugMessage

      string

      Message used to debug the root cause of the error. Contents should not be used in consumer's business logic. Can change at any time and should only be used for consumer to communicate with the data provider about an issue. Provider can include an error GUID in message for their use.

  8. 408

    Request timed out (round trip call took >10 seconds).

    Response Body

    object

      code

      integer

      Error code defined by FDX API Specification or Data Provider indicating the error situation which has occurred

      message

      string

      End user displayable information which might help the customer diagnose an error

      debugMessage

      string

      Message used to debug the root cause of the error. Contents should not be used in consumer's business logic. Can change at any time and should only be used for consumer to communicate with the data provider about an issue. Provider can include an error GUID in message for their use.

  9. 429

    1207 - Too many requests

    Response Body

    object

      code

      integer

      Error code defined by FDX API Specification or Data Provider indicating the error situation which has occurred

      message

      string

      End user displayable information which might help the customer diagnose an error

      debugMessage

      string

      Message used to debug the root cause of the error. Contents should not be used in consumer's business logic. Can change at any time and should only be used for consumer to communicate with the data provider about an issue. Provider can include an error GUID in message for their use.

  10. 500

    Catch-all exception where request was not processed due to an internal outage/issue.

    Response Body

    object

      code

      integer

      Error code defined by FDX API Specification or Data Provider indicating the error situation which has occurred

      message

      string

      End user displayable information which might help the customer diagnose an error

      debugMessage

      string

      Message used to debug the root cause of the error. Contents should not be used in consumer's business logic. Can change at any time and should only be used for consumer to communicate with the data provider about an issue. Provider can include an error GUID in message for their use.

  11. 501

    FdxVersion in header is not implemented.

    Response Body

    object

      code

      integer

      Error code defined by FDX API Specification or Data Provider indicating the error situation which has occurred

      message

      string

      End user displayable information which might help the customer diagnose an error

      debugMessage

      string

      Message used to debug the root cause of the error. Contents should not be used in consumer's business logic. Can change at any time and should only be used for consumer to communicate with the data provider about an issue. Provider can include an error GUID in message for their use.

  12. 503

    System is down for maintenance.

    Response Body

    object

      code

      integer

      Error code defined by FDX API Specification or Data Provider indicating the error situation which has occurred

      message

      string

      End user displayable information which might help the customer diagnose an error

      debugMessage

      string

      Message used to debug the root cause of the error. Contents should not be used in consumer's business logic. Can change at any time and should only be used for consumer to communicate with the data provider about an issue. Provider can include an error GUID in message for their use.

CTRL + K

Try it

Authorization